diff -Nur fastjet-3.0.3.orig/configure.ac fastjet-3.0.3/configure.ac
--- fastjet-3.0.3.orig/configure.ac	2012-06-25 15:15:32.000000000 +0100
+++ fastjet-3.0.3/configure.ac	2012-07-24 18:39:11.000000000 +0100
@@ -14,7 +14,7 @@
 dnl  - the first macro needs to place the files in the correct 
 dnl    dir in order to have the correct -I options for the remote build
 dnl  - see Makefile.am for distcleaning AX_PREFIX_CONFIG_H leftovers
-AM_CONFIG_HEADER(include/fastjet/config_raw.h:config.h.in)
+AC_CONFIG_HEADERS(include/fastjet/config_raw.h:config.h.in)
 AX_PREFIX_CONFIG_H(include/fastjet/config_auto.h,FASTJET,include/fastjet/config_raw.h)
 
 dnl check autoconf version
@@ -252,6 +252,12 @@
 fi
 
 dnl SISCone
+AC_ARG_WITH(bundle-siscone,
+	[  --with-bundle-siscone  Build the bundled SISCone library [default=no]],
+	[bundle_siscone=$withval],
+	[bundle_siscone=no])
+AM_CONDITIONAL(BUNDLE_SISCONE, test x$bundle_siscone != xno)
+
 ACX_CHECK_PLUGIN(SISCone, siscone, SISCONE, yes,
 	         [CONFIG_LIBS_PLUGINS=${CONFIG_LIBS_PLUGINS}" -lsiscone_spherical -lsiscone"
                   CONFIG_LIBS_PLUGINS_STATIC=${CONFIG_LIBS_PLUGINS_STATIC}" \${installationdir}/lib/libsiscone.a \${installationdir}/lib/libsiscone_spherical.a"])
diff -Nur fastjet-3.0.3.orig/example/Makefile.am fastjet-3.0.3/example/Makefile.am
--- fastjet-3.0.3.orig/example/Makefile.am	2012-06-13 15:14:58.000000000 +0100
+++ fastjet-3.0.3/example/Makefile.am	2012-07-24 18:26:15.000000000 +0100
@@ -43,7 +43,7 @@
 03_plugin_CXXFLAGS = $(AM_CXXFLAGS) $(CGAL_CPPFLAGS) -I$(srcdir)/../include
 03_plugin_LDADD = ../src/libfastjet.la $(CGAL_LIBS)
 03_plugin_CXXFLAGS += -I$(srcdir)/../plugins/SISCone -I$(srcdir)/../plugins/SISCone/siscone
-03_plugin_LDADD += ../plugins/SISCone/libSISConePlugin.la ../plugins/SISCone/siscone/siscone/libsiscone.la ../plugins/SISCone/siscone/siscone/spherical/libsiscone_spherical.la
+03_plugin_LDADD += ../plugins/SISCone/libSISConePlugin.la
 else
 EXTRA_DIST += 03-plugin.cc
 endif
@@ -125,7 +125,7 @@
 fastjet_areas_LDADD = ../src/libfastjet.la $(CGAL_LIBS)
 if BUILD_PLUGIN_SISCONE
 fastjet_areas_CXXFLAGS += -I$(srcdir)/../plugins/SISCone -I$(srcdir)/../plugins/SISCone/siscone
-fastjet_areas_LDADD += ../plugins/SISCone/libSISConePlugin.la ../plugins/SISCone/siscone/siscone/libsiscone.la ../plugins/SISCone/siscone/siscone/spherical/libsiscone_spherical.la
+fastjet_areas_LDADD += ../plugins/SISCone/libSISConePlugin.la
 endif
 
 fastjet_timing_plugins_SOURCES = fastjet_timing_plugins.cc CmdLine.cc
@@ -135,7 +135,7 @@
 fastjet_timing_plugins_LDADD += ../tools/libfastjettools.la 
 if BUILD_PLUGIN_SISCONE
 fastjet_timing_plugins_CXXFLAGS += -I$(srcdir)/../plugins/SISCone -I$(srcdir)/../plugins/SISCone/siscone
-fastjet_timing_plugins_LDADD += ../plugins/SISCone/libSISConePlugin.la ../plugins/SISCone/siscone/siscone/libsiscone.la ../plugins/SISCone/siscone/siscone/spherical/libsiscone_spherical.la
+fastjet_timing_plugins_LDADD += ../plugins/SISCone/libSISConePlugin.la
 endif
 if BUILD_PLUGIN_CDFCONES
 fastjet_timing_plugins_CXXFLAGS += -I$(srcdir)/../plugins/CDFCones
diff -Nur fastjet-3.0.3.orig/plugins/SISCone/Makefile.am fastjet-3.0.3/plugins/SISCone/Makefile.am
--- fastjet-3.0.3.orig/plugins/SISCone/Makefile.am	2012-06-13 15:14:51.000000000 +0100
+++ fastjet-3.0.3/plugins/SISCone/Makefile.am	2012-07-24 18:36:56.000000000 +0100
@@ -1,11 +1,22 @@
-SUBDIRS = siscone fastjet .
+SUBDIRS = fastjet .
 
 if MONOLITHIC_PLUGINS
 noinst_LTLIBRARIES = libSISConePlugin.la
 else
 lib_LTLIBRARIES = libSISConePlugin.la
 endif
-libSISConePlugin_la_CXXFLAGS = $(AM_CXXFLAGS) -I$(srcdir) -I$(srcdir)/siscone -I$(srcdir)/../../include
+libSISConePlugin_la_CXXFLAGS = $(AM_CXXFLAGS) -I$(srcdir) -I$(srcdir)/../../include
+
+if BUNDLE_SISCONE
+SUBDIRS += siscone
+libSISConePlugin_la_CXXFLAGS += -I$(srcdir)/siscone
+libSISConePlugin_la_LIBADD = \
+	$(top_builddir)/plugins/SISCone/siscone/siscone/libsiscone.la \
+	$(top_builddir)/plugins/SISCone/siscone/siscone/spherical/libsiscone_spherical.la
+else
+libSISConePlugin_la_LIBADD = -lsiscone -lsiscone_spherical
+endif
+
 libSISConePlugin_la_SOURCES = SISConePlugin.cc SISConeSphericalPlugin.cc
 
 EXTRA_DIST = makefile.static
